unit NViewLib;

interface

Uses Windows;

function NViewLibSetLanguage(Lang: PChar): bool; Stdcall;
Procedure NViewLibSetCustomLang(pProgress,pError, pLoad, pErrLoad, pWarning : PChar); Stdcall;
function NViewLibLoad(FileName : PChar; ShowProgress: BooLean):hbitmap; Stdcall;

function NViewLibSaveAsJPG(Quality:Integer; FileName: PChar):bool; Stdcall;
function Load_JPG(FileName : PChar; ShowProgress: BooLean):hbitmap; Stdcall;
function Load_GIF(FileName : PChar; ShowProgress: BooLean):hbitmap; Stdcall;

implementation

Const NViewLibDLL = 'NViewLib.DLL';

function NViewLibSetLanguage(Lang: PChar): bool; Stdcall; external NViewLibDLL;
Procedure NViewLibSetCustomLang(pProgress,pError, pLoad, pErrLoad, pWarning : PChar); Stdcall; external NViewLibDLL;
function NViewLibLoad(FileName : PChar; ShowProgress: Boolean):hbitmap; Stdcall; external NViewLibDLL;

function NViewLibSaveAsJPG(Quality:Integer; FileName: PChar):bool; Stdcall; external NViewLibDLL;
function Load_JPG(FileName : PChar; ShowProgress: Boolean):hbitmap; Stdcall; external NViewLibDLL;
function Load_GIF(FileName : PChar; ShowProgress: Boolean):hbitmap; Stdcall; external NViewLibDLL;


end.
